%define name 	tkeca
%define version 4.2.0
%define release %mkrel 2

Name: 		%{name}
Summary: 	Tk GUI for Ecasound multitrack audio editor and recorder
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://sourceforge.net/projects/tkeca/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	tk tcl ecasound
BuildArch:	noarch

%description
Tk Ecasound is a frontend for Ecasound. It has the look of a multitrack
recorder. It supports Ladspa plugins, multiple devices inputs/outputs,
and multiple effects.

%prep
%setup -q
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_prefix/lib/%name
cp tkeca.tcl $RPM_BUILD_ROOT/%_prefix/lib/%name/
mkdir -p $RPM_BUILD_ROOT/%_bindir
echo '#!/bin/bash' > $RPM_BUILD_ROOT/%_bindir/%name
echo 'if [ -e ~/.ecasoundrc ]' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'then echo "~/.ecasoundrc found"' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'else echo "creating ~/.ecasoundrc"; cp /usr/share/ecasound/ecasoundrc ~/.ecasoundrc' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'fi' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'if [ -e ~/.ecasound/ecasoundrc ]' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'then echo "~/.ecasound/ecasoundrc found"' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'else echo "creating ~/.ecasound/ecasoundrc"; mkdir -p ~/.ecasound; cp /usr/share/ecasound/ecasoundrc ~/.ecasound' >> $RPM_BUILD_ROOT/%_bindir/%name
echo 'fi' >> $RPM_BUILD_ROOT/%_bindir/%name
echo '/usr/lib/tkeca/tkeca.tcl' >> $RPM_BUILD_ROOT/%_bindir/%name
chmod ugo+x $RPM_BUILD_ROOT/%_bindir/%name

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=TkEca
Comment=%{summary}
Exec=%{_bindir}/%{name} 
Icon=sound_section
Terminal=false
Type=Application
Categories=AudioVideo;Audio;AudioVideoEditing;X-MandrivaLinux-Multimedia-Sound;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README.tkeca license.txt *.html
%{_bindir}/%name
%{_datadir}/applications/*
%{_prefix}/lib/%name


%changelog
* Sun May 11 2008 Funda Wang <fundawang@mandriva.org> 4.2.0-2mdv2008.1
+ Revision: 205535
- fix location of tkeca.tcl

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.2.0-1mdv2008.1
+ Revision: 136546
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill explicit icon extension
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Wed Aug 22 2007 Austin Acton <austin@mandriva.org> 4.2.0-1mdv2008.0
+ Revision: 68969
- XDG menu
- mkrel
- new version
- Import tkeca



* Sun Feb 6 2005 Austin Acton <austin@mandrake.org> 4.0.2-2mdk
- birthday
- fix summary

* Fri Jan 30 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.2-1mdk
- 4.0.2

* Tue Jan 27 2004 Austin Acton <austin@mandrake.org> 4.0.1-1mdk
- 4.0.1

* Tue Nov 18 2003 Austin Acton <austin@linux.ca> 3.0.0-1mdk
- 3.0.0

* Sun Jul 6 2003 Austin Acton <aacton@yorku.ca> 2.0.0-1mdk
- 2.0.0

* Thu Jun 4 2003 Austin Acton <aacton@yorku.ca> 1.8.0-1mdk
- 1.8.0

* Mon Jun 2 2003 Austin Acton <aacton@yorku.ca> 1.6.0-1mdk
- 1.6.0

* Sun May 25 2003 Austin Acton <aacton@yorku.ca> 1.4.0-1mdk
- 1.4.0

* Tue Jan 28 2003 Austin Acton <aacton@yorku.ca> 1.0.2-1mdk
- initial package
